Get List of reseller's notification settings
curl --request GET \
--url https://api.gcore.com/iam/reselling/resellers/{resellerId}/notification_settings \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/iam/reselling/resellers/{resellerId}/notification_settings"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/iam/reselling/resellers/{resellerId}/notification_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": 123,
"reseller": 123,
"notification_type": "deletion_request",
"email": "jsmith@example.com",
"enabled": true
}
],
"next": "reselling/resellers/{resellerId}/notification_settings?offset=20&limit=10",
"previous": "reselling/resellers/{resellerId}/notification_settings?offset=10&limit=10"
}Notification Settings
Get List of reseller's notification settings
GET
/
iam
/
reselling
/
resellers
/
{resellerId}
/
notification_settings
Get List of reseller's notification settings
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Reseller ID.
Query Parameters
The maximum number of items.
Offset relative to the beginning of list.
Which field to use when ordering the results.
Response
Total number of users
Show child attributes
Show child attributes
URL to the next users slice
Example:
"reselling/resellers/{resellerId}/notification_settings?offset=20&limit=10"
URL to the previous users slice
Example:
"reselling/resellers/{resellerId}/notification_settings?offset=10&limit=10"
Was this page helpful?